Skip to main content
`Ctrl`+`K`

# MatViewFromOptions

View properties of the matrix based on options set in the options database

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatViewFromOptions(Mat A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the matrix

- obj - optional additional object that provides the options prefix to use

- name - command line option

## Options Database Key

- -mat_view [viewertype]:… - the viewer and its options

## Note

        If no value is provided ascii:stdout is used
           ascii[:[filename][:[format][:append]]]    defaults to stdout - format can be one of ascii_info, ascii_info_detail, or ascii_matlab,
                                                      for example ascii::ascii_info prints just the information about the object not all details
                                                      unless :append is given filename opens in write mode, overwriting what was already there
           binary[:[filename][:[format][:append]]]   defaults to the file binaryoutput
           draw[:drawtype[:filename]]                for example, draw:tikz, draw:tikz:figure.tex  or draw:x
           socket[:port]                             defaults to the standard output port
           saws[:communicatorname]                    publishes object to the Scientific Application Webserver (SAWs)

## See Also

Matrices, `Mat`, `MatView()`, `PetscObjectViewFromOptions()`, `MatCreate()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex19.c
src/mat/tutorials/ex10.c
src/mat/tutorials/ex19.c
src/ksp/ksp/tutorials/ex56.c
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex34.c
src/ksp/ksp/tutorials/ex21.c
src/ksp/ksp/tutorials/ex85.c
src/ksp/ksp/tutorials/ex29.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages